KLA20015
Multiple vulnerabilities in Opera

Updated: 10/20/2022
Detect date
?
10/19/2022
Severity
?
High
Description

Multiple vulnerabilities were found in Opera. Malicious users can exploit these vulnerabilities to execute arbitrary code, cause denial of service.

Below is a complete list of vulnerabilities:

  1. Use after free vulnerability in Peer Connection can be exploited to cause denial of service or execute arbitrary code.
  2. Use after free vulnerability in Skia can be exploited to cause denial of service or execute arbitrary code.
  3. Implementation vulnerability in Custom Tabs can be exploited to cause denial of service.
  4. Use after free vulnerability in Permissions API can be exploited to cause denial of service or execute arbitrary code.
  5. Heap buffer overflow vulnerability in WebSQL can be exploited to cause denial of service.
  6. Use after free vulnerability in Safe Browsing can be exploited to cause denial of service or execute arbitrary code.
Affected products

Opera earlier than 92.0.4561.21

Solution

Update to the latest version
Download Opera

Original advisories

Changelog for 92
Stable Channel Update for Desktop

Impacts
?
ACE 
[?]

DoS 
[?]
Related products
Opera
Find out the statistics of the vulnerabilities spreading in your region